## httpfs2 0.1.3

=== Makefile ===
CC=gcc -g 
CFLAGS :=  -Os -Wall $(shell pkg-config fuse --cflags)
CPPFLAGS := -Wall -DUSE_AUTH -D_XOPEN_SOURCE=500 -D_ISOC99_SOURCE
THR_CPPFLAGS := -DUSE_THREAD
THR_LDFLAGS := -lpthread
SSL_CPPFLAGS := -DUSE_SSL $(shell pkg-config openssl --cflags)
SSL_LDFLAGS := $(shell pkg-config openssl --libs)
LDFLAGS := $(shell pkg-config fuse --libs | sed -e s/-lrt// -e s/-ldl//)

targets = httpfs2 httpfs2.1 #httpfs2_ssl httpfs2_ssl.1

all: $(targets)

httpfs2: httpfs2.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) httpfs2.c -o httpfs2

httpfs2_ssl: httpfs2.c
	$(CC) $(CPPFLAGS) $(THR_CPPFLAGS) $(SSL_CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(THR_LDFLAGS) $(SSL_LDFLAGS) httpfs2.c -o httpfs2_ssl

httpfs2.1: httpfs2.1.txt
	a2x -f manpage  httpfs2.1.txt

httpfs2_ssl.1: httpfs2.1
	ln -sf httpfs2.1 httpfs2_ssl.1

clean:
	rm -f $(targets) httpfs.1.xml

## httpfs2 0.1.4

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,15 @@
 SSL_LDFLAGS := $(shell pkg-config openssl --libs)
 LDFLAGS := $(shell pkg-config fuse --libs | sed -e s/-lrt// -e s/-ldl//)
 
-targets = httpfs2 httpfs2.1 #httpfs2_ssl httpfs2_ssl.1
+intermediates =
+
+binaries = httpfs2 #httpfs2_ssl
+
+manpages = $(addsuffix .1,$(binaries))
+
+intermediates += $(addsuffix .xml,$(manpages))
+
+targets = $(binaries) $(manpages)
 
 all: $(targets)
 
@@ -17,11 +25,51 @@
 httpfs2_ssl: httpfs2.c
 	$(CC) $(CPPFLAGS) $(THR_CPPFLAGS) $(SSL_CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(THR_LDFLAGS) $(SSL_LDFLAGS) httpfs2.c -o httpfs2_ssl
 
-httpfs2.1: httpfs2.1.txt
-	a2x -f manpage  httpfs2.1.txt
-
 httpfs2_ssl.1: httpfs2.1
 	ln -sf httpfs2.1 httpfs2_ssl.1
 
 clean:
-	rm -f $(targets) httpfs.1.xml
+	rm -f $(targets) $(intermediates)
+
+%.1: %.1.txt
+	a2x -f manpage $<
+
+# Rules to automatically make a Debian package
+
+package = $(shell parsechangelog | grep ^Source: | sed -e s,'^Source: ',,)
+version = $(shell parsechangelog | grep ^Version: | sed -e s,'^Version: ',, -e 's,-.*,,')
+revision = $(shell parsechangelog | grep ^Version: | sed -e -e 's,.*-,,')
+architecture = $(shell dpkg --print-architecture)
+tar_dir = $(package)-$(version)
+tar_gz   = $(tar_dir).tar.gz
+pkg_deb_dir = pkgdeb
+unpack_dir  = $(pkg_deb_dir)/$(tar_dir)
+orig_tar_gz = $(pkg_deb_dir)/$(package)_$(version).orig.tar.gz
+pkg_deb_src = $(pkg_deb_dir)/$(package)_$(version)-$(revision)_source.changes
+pkg_deb_bin = $(pkg_deb_dir)/$(package)_$(version)-$(revision)_$(architecture).changes
+
+deb_pkg_key = CB8C5858
+
+debclean:
+	rm -rf $(pkg_deb_dir)
+
+deb: debsrc debbin
+
+debbin: $(unpack_dir)
+	cd $(unpack_dir) && dpkg-buildpackage -b -k$(deb_pkg_key)
+
+debsrc: $(unpack_dir)
+	cd $(unpack_dir) && dpkg-buildpackage -S -k$(deb_pkg_key)
+
+$(unpack_dir): $(orig_tar_gz)
+	tar -zxf $(orig_tar_gz) -C $(pkg_deb_dir)
+
+$(pkg_deb_dir):
+	mkdir $(pkg_deb_dir)
+
+$(pkg_deb_dir)/$(tar_gz): $(pkg_deb_dir)
+	hg archive -t tgz $(pkg_deb_dir)/$(tar_gz)
+
+$(orig_tar_gz): $(pkg_deb_dir)/$(tar_gz)
+	ln -s $(tar_gz) $(orig_tar_gz)
+

=== debian/changelog ===
httpfs2 (0.1.4-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:10 +1100

httpfs2 (0.1.4-1.1build2) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:26:03 +0100

httpfs2 (0.1.4-1.1build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:37:02 +0000

httpfs2 (0.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use source format 3.0 (quilt).  Closes: #651312
  * Recommend fuse instead of fuse-utils.  Closes: #698179
  * Add patch from Ubuntu to fix FTBFS with libc 2.22.  Closes: #811890
  * Add patch from Ubuntu to fix linking with --as-needed.  Closes: #641728
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Mar 2017 13:27:02 +0100

httpfs2 (0.1.4-1) unstable; urgency=low

  * New upstream release:
    - Fixes -f option (Closes: #566362).
    - Fixes error handling in exchange() loop (Closes: #567128).
  * Bump standards version to 3.8.4.
  * Change dependency wrapping to make diffing easier.

 -- Michal Suchanek <hramrach@centrum.cz>  Fri, 12 Mar 2010 17:34:20 +0100

httpfs2 (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #380461).

 -- Michal Suchanek <hramrach@centrum.cz>  Mon, 11 Jan 2010 15:40:13 +0100

=== debian/control ===
Source: httpfs2
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michal Suchanek <hramrach@centrum.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 asciidoc, xmlto,
 libfuse-dev (>= 2.6), pkg-config
Standards-Version: 3.9.8
Homepage: http://sourceforge.net/projects/httpfs/

Package: httpfs2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE filesystem for mounting files from http servers
 httpfs2 is a FUSE based filesystem for mounting http or https URLS as files in
 the filesystem. There is no notion of listable directories in http so only a
 single URL can be mounted. The server must be able to send byte ranges.
